import { EditorView } from '@codemirror/view';
import { HighlightStyle, syntaxHighlighting } from '@codemirror/language';
export var createTheme = _ref => {
  var {
    theme,
    settings,
    styles
  } = _ref;
  var themeOptions = {
    '&': {
      backgroundColor: settings.background,
      color: settings.foreground
    },
    '.cm-content': {
      caretColor: settings.caret
    },
    '.cm-cursor, .cm-dropCursor': {
      borderLeftColor: settings.caret
    },
    '.cm-activeLine': {
      backgroundColor: settings.lineHighlight
    },
    '.cm-gutters': {
      backgroundColor: settings.gutterBackground,
      color: settings.gutterForeground
    },
    '.cm-activeLineGutter': {
      backgroundColor: settings.lineHighlight
    }
  };

  if (settings.selection) {
    themeOptions['&.cm-focused .cm-selectionBackground .cm-selectionBackground, & .cm-selectionLayer .cm-selectionBackground, ::selection'] = {
      backgroundColor: settings.selection
    };
  }

  if (settings.selectionMatch) {
    themeOptions['& .cm-selectionMatch'] = {
      backgroundColor: settings.selectionMatch
    };
  }

  var themeExtension = EditorView.theme(themeOptions, {
    dark: theme === 'dark'
  });
  var highlightStyle = HighlightStyle.define(styles);
  var extension = [themeExtension, syntaxHighlighting(highlightStyle)];
  return extension;
};
export default createTheme;
//# sourceMappingURL=index.js.map